Bug 443695 - blender (and other graphic apps) segfault at start
blender (and other graphic apps) segfault at start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 17:33 EDT by Lorenzo Pierfederici
Modified: 2009-03-02 15:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 15:56:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The GDB backtrace ondicating where blender is crashing (2.71 KB, text/plain)
2008-07-08 14:47 EDT, David Chipman
no flags Details
The series of library calls leading up to the Blender crash in libGL. (1.49 MB, application/x-bzip2)
2008-07-08 19:59 EDT, David Chipman
no flags Details
This is an up-to-date blender backtrace (928 bytes, text/plain)
2008-07-10 02:00 EDT, David Chipman
no flags Details

  None (edit)
Description Lorenzo Pierfederici 2008-04-22 17:33:00 EDT
Description of problem:
When starting blender I get the following:
Compiled with Python version 2.5.1.
Checking for installed Python... got it!
Failed to initialize TTM buffer manager.  Falling back to classic.
/usr/bin/blender: line 46: 23036 Segmentation fault      /usr/bin/blender.bin $@

I get the same error message when starting Shake (the compositing app from
Apple), but it's closed source and need an old library from Fedora 7 to start
(libX11.so.6.2.0), so it might be more difficult to track down...

Version-Release number of selected component (if applicable):
blender 2.45

How reproducible:
always

Steps to Reproduce:
1. start blender

  
Additional info:
this is my videocard as reported by lspci:
VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics
Device (rev 02)

I'm using xorg "intel" driver (I haven't made any change to the autoconfigured
xorg.conf)

Looking at other bug reports it looks like that the "Failed to initialize TTM
buffer manager" is unrelated to the segfault, in fact I get the TTM error even
when running glxgears, but glxgears (seems to) run fine
Comment 1 Jochen Schmitt 2008-04-23 10:23:44 EDT
Thank you, that you have take the time to create this bug report. I want to ask,
if is it possible to create a so called backtrace for the reported segfault.
This may be very helpful for analyzing the reported issue.

Comment 2 Jochen Schmitt 2008-04-23 12:58:27 EDT
I have try out it on my x86_64 rawhide system. I have trouble with the display
of blender, because I can't use the properitary nvidia driver on rawhide, but I
don't get a segfault. I believe that your issue is caused by the inter graphic
driver.
Comment 3 Lorenzo Pierfederici 2008-04-23 17:18:49 EDT
here is the backtrace I get from gdb:

(gdb) bt
#0  0x00dfbb0a in _tnl_InvalidateState () from /usr/lib/dri/libdricore.so
#1  0x0040089e in ?? () from /usr/lib/dri/i915_dri.so
#2  0x00dc6827 in _mesa_update_state_locked () from /usr/lib/dri/libdricore.so
#3  0x00dc686f in _mesa_update_state () from /usr/lib/dri/libdricore.so
#4  0x00dc0289 in _mesa_RasterPos4f () from /usr/lib/dri/libdricore.so
#5  0x00dc178b in _mesa_RasterPos2f () from /usr/lib/dri/libdricore.so
#6  0x0828f645 in ui_rasterpos_safe ()
#7  0x0825c30e in BIF_icon_draw_aspect ()
#8  0x0825c9b0 in BIF_icon_draw_aspect_blended ()
#9  0x0828c3e6 in ?? ()
#10 0x42300000 in ?? ()
#11 0x40400000 in ?? ()
#12 0x000000cc in ?? ()
#13 0x3f7fd139 in ?? ()
#14 0xffffffc4 in ?? ()
#15 0x00e0ea63 in _tnl_invalidate_vertex_state () from /usr/lib/dri/libdricore.so
#16 0x0829001b in ?? ()
#17 0xffffffc4 in ?? ()
#18 0x00000006 in ?? ()
#19 0xbf859018 in ?? ()
#20 0x00d8c975 in _mesa_set_enable () from /usr/lib/dri/libdricore.so
#21 0x08290ce8 in ui_draw_but ()
#22 0x081ebb20 in uiDrawBlock ()
---Type <return> to continue, or q <return> to quit---
#23 0x082390da in buts_buttons ()
#24 0x081b5ec5 in scrarea_do_headdraw ()
#25 0x081b6945 in screenmain ()
#26 0x0811e6c2 in main ()

I think that this is related to the intel driver too, but I couldn't test it
extensively. should we change the component for this report?
Comment 4 Jochen Schmitt 2008-04-24 14:24:48 EDT
Thank you for your work. As far as I see, it's seem to be a OpenGL driver issue.
Comment 5 Bug Zapper 2008-05-14 05:58:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Dustin Steiner 2008-05-25 13:34:57 EDT
I also get the Segmentation-fault-error on starting blender

Compiled with Python version 2.5.1.
Checking for installed Python... got it!
/usr/bin/blender: line 46: 10187 Segmentation fault      /usr/bin/blender.bin $@
Comment 7 amorilia 2008-05-26 08:09:38 EDT
Just to confirm that I'm also experiencing this issue on my laptop running
Fedora 9, which has an intel 855GM chipset. The error message is exactly as in
Lorenzo's post. The problem remained after updating to Blender 2.46 from the
fedora testing repository.
Comment 8 Mustafa Mohammed 2008-07-05 18:01:53 EDT
yes I have the same problem with my system
I'm using intel driver my video card is 865G
Comment 9 David Chipman 2008-07-08 14:44:10 EDT
I am also having trouble with Blender. My video device is:
 Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device

Blender terminal output:
Compiled with Python version 2.5.1.
Checking for installed Python... got it!
/usr/bin/blender: line 46:  8756 Segmentation fault      /usr/bin/blender.bin $@

Comment 10 David Chipman 2008-07-08 14:47:15 EDT
Created attachment 311305 [details]
The GDB backtrace ondicating where blender is crashing
Comment 11 David Chipman 2008-07-08 19:59:16 EDT
Created attachment 311327 [details]
The series of library calls leading up to the Blender crash in libGL.
Comment 12 David Chipman 2008-07-10 02:00:51 EDT
Created attachment 311449 [details]
This is an up-to-date blender backtrace
Comment 13 David Chipman 2008-07-22 17:32:12 EDT
Hi  all, 

Cana somebody tell me what's going on with this bug? Some of us would really
like to get our Blender back. Thanks

-David
Comment 14 François Cami 2008-12-11 17:58:49 EST
David, does is still crash in up to date FC9 ?

Alternatively, could you try FC10 ?
In FC10 you can disable 3D acceleration by setting LIBGL_ALWAYS_SOFTWARE="yes", that may serve as a workaround.
Comment 15 Matěj Cepl 2009-01-28 20:56:19 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 16 François Cami 2009-03-02 15:56:53 EST
Closing as INSUFFICIENT_DATA.
Note that I cannot reproduce on an up-to-date F10 as of 20090102.

################################################################

The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.